PKCE mandatory from 2026-09-14 Details
Employment Hero LogoEmployment Hero

Superannuation Detail

This endpoint retrieves an employee’s superannuation detail. The response object is region-aware. Fields not applicable to the employee’s payroll region will not be returned.

GET
https://api.employmenthero.com/api/v2/organisations/:organisation_id/employees/:employee_id/superannuation_detail

Path Parameters

organisation_iduuidrequired

The ID of the organisation to retrieve

employee_iduuidrequired

The ID of the employee to retrieve

Response Body

A hash containing a data property whose value is a Superannuation Details object.
If it does not exist, a 404 Not Found error is returned.

dataobject
superannuation_schemeenum<string>
🇦🇺 AU
🇳🇿 NZ
🇬🇧 UK

The type of superannuation scheme.

account_namestring
🇦🇺 AU

The account name for the superannuation fund.

contact_numberstring
🇦🇺 AU

Contact number for the superannuation fund.

fund_abnstring
🇦🇺 AU

The Australian Business Number (ABN) of the superannuation fund.

fund_namestring
🇦🇺 AU

The name of the superannuation fund.

member_numberstring
🇦🇺 AU

The member number for the superannuation account.

product_codestring
🇦🇺 AU

The product code of the superannuation fund.

electronic_service_addressstring
🇦🇺 AU

Electronic service address for SMSF.

employer_nominated_fundboolean
🇦🇺 AU

Whether this is the employer nominated fund.

product_id_numberstring
🇦🇺 AU

The product ID number of the superannuation fund.

usistring
🇦🇺 AU

Unique Superannuation Identifier.

fund_typestring
🇦🇺 AU

The type of fund (e.g., "Regulated").

consolidateboolean
🇦🇺 AU

Whether to consolidate superannuation accounts.

declaration_agreeboolean
🇦🇺 AU

Whether the employee agrees to the declaration.

declaration_agreed_atdatetime
🇦🇺 AU

Timestamp when the declaration was agreed to.

upload_filesobject[]
🇦🇺 AU

Array of uploaded files related to superannuation.

things_you_should_know_declaration_agreeboolean
🇦🇺 AU

Agreement to "things you should know" declaration.

things_you_should_know_declaration_agreed_atdatetime
🇦🇺 AU

Timestamp for "things you should know" declaration agreement.

trustee_declaration_agreeboolean
🇦🇺 AU

Agreement to trustee declaration.

trustee_declaration_agreed_atdatetime
🇦🇺 AU

Timestamp for trustee declaration agreement.

including_tfnboolean
🇦🇺 AU

Whether Tax File Number is included.

employer_default_fund_agreeboolean
🇦🇺 AU

Agreement to employer default fund.

superfund_account_namestring
🇦🇺 AU

The superfund account name.

product_namestring
🇦🇺 AU

The product name of the superannuation fund.

websitestring
🇦🇺 AU

Website URL of the superannuation fund.

fund_emailstring
🇦🇺 AU

Email address of the superannuation fund.

account_bsbstring
🇦🇺 AU

Bank BSB code for SMSF account.

account_numberstring
🇦🇺 AU

Bank account number for SMSF account.

addressstring
🇦🇺 AU

Address of the superannuation fund.

assessment_statusstring
🇬🇧 UK

The assessment status for auto-enrolment (e.g., non_eligible_job_holder).

assessment_datedate
🇬🇧 UK

The date of the auto-enrolment assessment.

opt_inboolean
🇬🇧 UK

Whether the employee has opted in to the pension scheme.

opt_in_datedate
🇬🇧 UK

The date when the employee opted in.

auto_enrol_opt_out_datedate
🇬🇧 UK

The date when auto-enrolment opt-out occurred.

auto_enrol_opt_out_referencestring
🇬🇧 UK

Reference number for auto-enrolment opt-out.

override_max_earnings_thresholdnumber
🇬🇧 UK

Override for maximum earnings threshold.

override_min_earnings_thresholdnumber
🇬🇧 UK

Override for minimum earnings threshold.

deferral_datedate
🇬🇧 UK

Date when pension enrolment was deferred.

override_employee_contributionnumber
🇬🇧 UK

Override for employee contribution percentage.

override_employer_contributionnumber
🇬🇧 UK

Override for employer contribution percentage.

override_salary_sacrificenumber
🇬🇧 UK

Override for salary sacrifice percentage.

process_opt_out_refundsboolean
🇬🇧 UK

Whether to process opt-out refunds.

pension_assessment_optionstring
🇬🇧 UK

The pension assessment option (e.g., automatic).

enrolledboolean
🇬🇧 UK

Whether the employee is enrolled in the pension scheme.

postponement_optionstring
🇬🇧 UK

The postponement option for pension enrolment.

last_payroll_updated_atdatetime
🇬🇧 UK

Timestamp of last payroll update.

pension_contribution_planobject
🇬🇧 UK

The pension contribution plan details.

enrollment_statusnumber
🇳🇿 NZ

The KiwiSaver enrollment status (1-3).

employee_contributionnumber
🇳🇿 NZ

The employee contribution percentage.

employer_contributionnumber
🇳🇿 NZ

The employer contribution percentage.

savings_suspension_from_datedate
🇳🇿 NZ

Start date for savings suspension.

savings_suspension_to_datedate
🇳🇿 NZ

End date for savings suspension.

opt_out_datedate
🇳🇿 NZ

The date when the employee opted out of KiwiSaver.

ineligibility_reasonstring
🇳🇿 NZ

Reason for KiwiSaver ineligibility.

created_atdatetime
🇳🇿 NZ

Timestamp when the record was created.

updated_atdatetime
🇳🇿 NZ

Timestamp when the record was last updated.

late_opt_out_reasonstring
🇳🇿 NZ

Reason for late opt-out from KiwiSaver.

late_opt_out_reason_other_explanationstring
🇳🇿 NZ

Additional explanation for late opt-out reason.

deduction_filesobject[]
🇳🇿 NZ

Array of deduction-related files.

Example

curl -X GET \  "https://api.employmenthero.com/api/v2/organisations/:organisation_id/employees/:employee_id/superannuation_detail" \  -H "Authorization: Bearer AUXJ3123xyrj123fdsjkl124aAJKQ"

Response

{  "data": {    "superannuation_scheme": "superfund",    "account_name": "account name",    "contact_number": "contact number",    "fund_abn": "39623897732",    "fund_name": "The Trustee for EH Super Fund",    "member_number": "member number",    "product_code": "39623897732001",    "electronic_service_address": null,    "employer_nominated_fund": false,    "product_id_number": "39623897732001",    "website": null,    "fund_email": null,    "account_bsb": null,    "account_number": null,    "usi": "39623897732001",    "fund_type": "Regulated",    "consolidate": null,    "declaration_agree": true,    "declaration_agreed_at": "2025-08-18T23:23:29+10:00",    "upload_files": [],    "things_you_should_know_declaration_agree": null,    "things_you_should_know_declaration_agreed_at": null,    "trustee_declaration_agree": null,    "trustee_declaration_agreed_at": null,    "including_tfn": true,    "employer_default_fund_agree": null,    "superfund_account_name": "account name",    "product_name": null,    "address": null,    "assessment_status": "non_eligible_job_holder",    "assessment_date": "2025-08-18",    "opt_in": true,    "opt_in_date": "2025-08-18",    "auto_enrol_opt_out_date": "2025-08-20",    "auto_enrol_opt_out_reference": "opt out reference",    "override_max_earnings_threshold": 50270,    "override_min_earnings_threshold": 6240,    "deferral_date": null,    "override_employee_contribution": 5,    "override_employer_contribution": 3,    "override_salary_sacrifice": 0,    "process_opt_out_refunds": false,    "pension_assessment_option": "automatic",    "enrolled": true,    "postponement_option": null,    "last_payroll_updated_at": null,    "pension_contribution_plan": {      "enable": true,      "name": "Not Sure",      "pension_scheme_name": "Test Scheme 2",      "calculate_on_qualifying_earnings": true,      "is_auto_enrolment_scheme": true,      "pension_type": "net_pay",      "reporting_frequency": "w1",      "max_earnings_threshold": 50270,      "min_earnings_threshold": 6240,      "employee_contribution": 5,      "employer_contribution": 3,      "salary_sacrifice": 0    },    "enrollment_status": 3,    "employee_contribution": 3,    "employer_contribution": 3,    "savings_suspension_from_date": null,    "savings_suspension_to_date": null,    "opt_out_date": "17/08/2025",    "ineligibility_reason": null,    "created_at": "2025-08-18T23:24:08.634+10:00",    "updated_at": "2025-08-18T23:24:16.865+10:00",    "late_opt_out_reason": null,    "late_opt_out_reason_other_explanation": null,    "deduction_files": []  }}